[module/battery_bar]
type = internal/battery

; This is useful in case the battery never reports 100% charge
full-at = 99

; Use the following command to list batteries and adapters:
; $ ls -1 /sys/class/power_supply/
battery = BAT1
adapter = ACAD

; If an inotify event haven't been reported in this many
; seconds, manually poll for new values.
;
; Needed as a fallback for systems that don't report events
; on sysfs/procfs.
;
; Disable polling by setting the interval to 0.
;
; Default: 5
poll-interval = 2

; see "man date" for details on how to format the time string
; NOTE: if you want to use syntax tags here you need to use %%{...}
; Default: %H:%M:%S
time-format = %H:%M

; Available tags:
;   <label-charging> (default)
;   <bar-capacity>
;   <ramp-capacity>
;   <animation-charging>
format-charging = <bar-capacity>
format-charging-prefix = ""
format-charging-prefix-foreground = ${color.green}

; Available tags:
;   <label-discharging> (default)
;   <bar-capacity>
;   <ramp-capacity>
;   <animation-discharging>
format-discharging = <bar-capacity>
format-discharging-prefix = ""
format-discharging-prefix-foreground = ${color.pink}

; Available tags:
;   <label-full> (default)
;   <bar-capacity>
;   <ramp-capacity>
format-full = <label-full>
format-full-prefix = ""
format-full-prefix-foreground = ${color.red}

; Available tokens:
;   %percentage% (default)
;   %time%
;   %consumption% (shows current charge rate in watts)

label-charging = %percentage%%

; Available tokens:
;   %percentage% (default)
;   %time%
;   %consumption% (shows current discharge rate in watts)
label-discharging = %percentage%%

; Available tokens:
;   %percentage% (default)
label-full = Full

; Only applies if <bar-capacity> is used
bar-capacity-format = " %fill%%indicator%%empty%"
bar-capacity-width = 11
bar-capacity-gradient = false

bar-capacity-indicator = ${bar.indicator}
bar-capacity-indicator-font = 2
bar-capacity-indicator-foreground = ${color.foreground}

bar-capacity-fill = ${bar.fill}
bar-capacity-fill-font = 2
bar-capacity-foreground-0 = ${color.green}
bar-capacity-foreground-1 = ${color.green}
bar-capacity-foreground-2 = ${color.yellow}
bar-capacity-foreground-3 = ${color.yellow}
bar-capacity-foreground-4 = ${color.red}

bar-capacity-empty = ${bar.empty}
bar-capacity-empty-font = 2
bar-capacity-empty-foreground = ${color.sep}
bar-fill-font = 2



; [module/battery]
; type = internal/battery

; full-at = 99

; ; $ ls -1 /sys/class/power_supply/
; battery = BAT1
; adapter = ACAD

; poll-interval = 2
; time-format = %H:%M

; ; Available tags:
; ;   <label-charging> (default)
; ;   <bar-capacity>
; ;   <ramp-capacity>
; ;   <animation-charging>
; format-charging = <animation-charging>

; ; Available tags:
; ;   <label-discharging> (default)
; ;   <bar-capacity>
; ;   <ramp-capacity>
; ;   <animation-discharging>
; format-discharging = <ramp-capacity>

; ; Available tags:
; ;   <label-full> (default)
; ;   <bar-capacity>
; ;   <ramp-capacity>
; ;format-full = <ramp-capacity> <label-full>

; ; Available tokens:
; ;   %percentage% (default)
; ;   %time%
; ;   %consumption% (shows current charge rate in watts)
; label-charging = %percentage%%

; ; Available tokens:
; ;   %percentage% (default)
; ;   %time%
; ;   %consumption% (shows current discharge rate in watts)
; label-discharging = %percentage%%

; ; Available tokens:
; ;   %percentage% (default)
; ;label-full = Fully Charged
; label-full = 
; label-full-foreground = ${color.green} 

; ramp-capacity-0 = 
; ramp-capacity-1 = 
; ramp-capacity-2 = 
; ramp-capacity-3 = 
; ramp-capacity-4 = 

; animation-charging-0 = 
; animation-charging-1 = 
; animation-charging-2 = 
; animation-charging-3 = 
; animation-charging-4 = 

; ; Framerate in milliseconds
; animation-charging-framerate = 750

